function gc.ispath(x,y,x2,y2)
	local angle= -math.deg(math.atan2(x-x2,y-y2))
	local curx, cury= x, y
	local negative= 0
	repeat
		curx, cury= curx-math.sin(math.rad(angle-180)), cury+math.cos(math.rad(angle-180))
		if tile(math.floor(curx/32),math.floor(cury/32),"walkable") then
		else
			negative=negative+1
		end
	until (math.floor(curx)==math.floor(x2) and math.floor(cury)==math.floor(y2)) or negative>0
	if negative>0 then
		return false
	else
		return true
	end
	if (math.floor(curx)==math.floor(x2) and math.floor(cury)==math.floor(y2)) then
		return true
	end
end

gc.civilpos={
	{x=6,y=3};
	{x=10,y=3};
	{x=6,y=53};
	{x=10,y=53};
	{x=4,y=53};
	{x=12,y=53};
	{x=4,y=56};
	{x=8,y=56};
	{x=12,y=56};
	{x=8,y=65};
	{x=11,y=65};
	{x=11,y=69};
	{x=9,y=69};
	{x=5,y=69};
	{x=9,y=96};
	{x=5,y=96};
	{x=9,y=100};
	{x=5,y=100};
	{x=9,y=145};
	{x=5,y=145};
	{x=73,y=96};
	{x=83,y=96};
	{x=73,y=100};
	{x=83,y=100};
	{x=73,y=56};
	{x=83,y=56};
	{x=73,y=141};
	{x=83,y=141};
	{x=73,y=8};
	{x=83,y=8};
	{x=73,y=96};
	{x=83,y=96};
	{x=73,y=100};
	{x=83,y=100};
	{x=73,y=56};
	{x=83,y=56};
	{x=73,y=141};
	{x=83,y=141};
	{x=73,y=8};
	{x=83,y=8};
}

gc.civilmax=45

gc.civil={}
for a= 1, gc.civilmax do
	gc.civil[a]={
		x=0;
		y=0;
		checkp=false;
		alive=false;
		health=0;
		ishit=false;
		anger=false;
		hitid=0;
		tox=0;
		toy=0;
	}
end

addhook("second","gc.addcivil")
function gc.addcivil()
	for c= 1, gc.civilmax do
		if gc.civil[c].alive==false then
			local positionIndex= math.random(1,#gc.civilpos)
			local x, y= gc.civilpos[positionIndex].x*32+16, gc.civilpos[positionIndex].y*32+16
			gc.civil[c].x, gc.civil[c].y= x, y
			gc.civil[c].alive= true
			gc.civil[c].health= math.random(200,500)
			gc.civil[c].ishit= false
			gc.civil[c].anger= false
			gc.civil[c].checkp= true
			gc.civil[c].img= image("gfx/gangstercity/NPC/civil"..math.random(1,4)..".png",x,y,0)
			imagehitzone(gc.civil[c].img,103,-16,-16,32,32)
			break
		end
	end
end

addhook("always","gc.movingcivil")
function gc.movingcivil()
	for c=1, gc.civilmax do
		if gc.civil[c].alive then
			if gc.civil[c].checkp then
				local toPosIndex= math.random(1,#gc.civilpos)
				local toX, toY= gc.civilpos[toPosIndex].x*32+16, gc.civilpos[toPosIndex].y*32+16
				local a= -math.deg( math.atan2(gc.civil[c].x-toX, gc.civil[c].y-toY))
				if a==-0 or a==0 or a==90 or a==180 or a==-90 or a==-180 then
					if gc.ispath(gc.civil[c].x,gc.civil[c].y,toX,toY) then
						gc.civil[c].tox, gc.civil[c].toy= toX, toY
						gc.civil[c].checkp=false
					end
				end
			else
				if gc.civil[c].ishit then
					if player(gc.civil[c].hitid,"exists") then
						if gc.civil[c].anger then
							local a= -math.deg( math.atan2(gc.civil[c].x-player(gc.civil[c].hitid,"x"), gc.civil[c].y-player(gc.civil[c].hitid,"y")))
							Tox,Toy = gc.civil[c].x-math.sin(math.rad(a-180))*2, gc.civil[c].y+math.cos(math.rad(a-180))*2
							if tile(math.floor(Tox/32),math.floor(Toy/32),"walkable") then
								gc.civil[c].x=Tox
								gc.civil[c].y=Toy
								imagepos(gc.civil[c].img,gc.civil[c].x,gc.civil[c].y,a)
							end
							local dist= math.sqrt((gc.civil[c].x-player(gc.civil[c].hitid,"x"))^2 + (gc.civil[c].y-player(gc.civil[c].hitid,"y"))^2)
							if dist<15 then
								if gc.hp[gc.civil[c].hitid]>0.2 then
									local sound=math.random(1,1000)
									if sound>974 then
										parse('sv_sound2 '..gc.civil[c].hitid..' "gangstercity/punch.wav"')
									end
									gc.hp[gc.civil[c].hitid]=gc.hp[gc.civil[c].hitid]-0.2
								else
									parse('customkill 0 "civilian" '..gc.civil[c].hitid)
									gc.killedbycivil[gc.civil[c].hitid]=gc.killedbycivil[gc.civil[c].hitid]+1
								end
							end
						else
							local a= -math.deg( math.atan2(gc.civil[c].x-player(gc.civil[c].hitid,"x"), gc.civil[c].y-player(gc.civil[c].hitid,"y")))
							Tox,Toy = gc.civil[c].x-math.sin(math.rad(a))*3, gc.civil[c].y+math.cos(math.rad(a))*3
							if tile(math.floor(Tox/32),math.floor(Toy/32),"walkable") then
								gc.civil[c].x=Tox
								gc.civil[c].y=Toy
								imagepos(gc.civil[c].img,gc.civil[c].x,gc.civil[c].y,a-180)
							end

						end
					end
				else
					local a= -math.deg( math.atan2(gc.civil[c].x-gc.civil[c].tox, gc.civil[c].y-gc.civil[c].toy))
					gc.civil[c].x, gc.civil[c].y= gc.civil[c].x-math.sin(math.rad(a-180)), gc.civil[c].y+math.cos(math.rad(a-180))
					imagepos(gc.civil[c].img,gc.civil[c].x,gc.civil[c].y,a)
					if gc.civil[c].x==gc.civil[c].tox and gc.civil[c].y==gc.civil[c].toy then
						gc.civil[c].checkp=true
					end
				end
			end
		end
	end
end

addhook("hitzone","gc.civilhurt")
function gc.civilhurt(img,id,obj,wpn,x,y,dmg)
	for c=1, gc.civilmax do
		if player(id,"exists") then
			if gc.civil[c].img==img and gc.civil[c].alive and gc.civil[c].ishit==false then
				gc.civil[c].ishit=true
				local ang=math.random(1,3)
				if ang==3 then
					gc.civil[c].anger=true
				end
				gc.civil[c].hitid=id
				parse('sv_sound2 '..id..' "gangstercity/civil'..math.random(1,2)..'.wav"')
			end
			if gc.civil[c].img==img and gc.civil[c].alive then
				gc.civil[c].health=gc.civil[c].health-itemtype(wpn,"dmg")
				if gc.civil[c].health<=0 then
					gc.civil[c].alive=false
					freeimage(gc.civil[c].img)
					local iswanted= math.random(1,20)
					gc.rep[id]=gc.rep[id]-math.random(1,3)
					gc.money[id]=gc.money[id]+math.random(10,1000)
					gc.civilkill[id]=gc.civilkill[id]+1
					if iswanted>14 then
						gc.wanted[id]=gc.wanted[id]+1
						ff=math.random(1,20) if ff<=gc.wanted[id] then parse('customkill 0 "Police" '..id) gc.caughtbypolice[id]=gc.caughtbypolice[id]+1 parse("spawnplayer "..id.." 352 4480") msg2(id,"You busted by police, be more careful next time") end
					end
					parse('sv_sound2 '..id..' "gangstercity/civil'..math.random(1,2)..'.wav"')
				end
			end
		end
	end
end